Subject: bug#74870: cl-labels and cl-flet don't create named blocks

From: Jan Jouleodov <[email-masked]>
Date: Thu, 19 Dec 2024 00:55:34 +0000

> Whichever was the original reason, now we get to decide whether we keep
> the behavior or not. Following Common Lisp's lead should not introduce any
> backward compatibility issue, all it would cost us is a slightly more
> costly macroexpansion for those macros.
>
>
> Stefan

Is there any reason why one would not want to *always* emulate the CL
behavior in cl-lib? I could only think of a backward compatibility
problem before CL was standardized, but I am not familiar with the time
frame of cl-lib to know if that's really the case.